= nng_http_client_alloc(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_client_alloc - allocate HTTP client

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

int nng_http_client_alloc(nng_http_client *clientp, const nng_url *url);
----

== DESCRIPTION

The `nng_http_client_alloc()` allocates an HTTP client suitable for
connecting to the server identified by _url_ and stores a pointer to
it in the location referenced by _clientp_.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_ENOMEM`:: Insufficient free memory exists.
`NNG_ENOTSUP`:: HTTP not supported.

== SEE ALSO

[.text-left]
xref:nng_http_client_connect.3http.adoc[nng_http_client_connect(3http)],
xref:nng_http_client_free.3http.adoc[nng_http_client_free(3http)],
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng_url_parse.3.adoc[nng_url_parse(3)],
xref:nng.7.adoc[nng(7)]
